# API SDK

## Main Client
::: deepset_mcp.api.client
    options:
        show_submodules: false
        heading_level: 3
        filters: [ "!^_(?!_init__)" ]

## Resources
::: deepset_mcp.api.pipeline
    options:
        show_submodules: false
        heading_level: 3
        filters: [ "!^_(?!_init__)" ]

::: deepset_mcp.api.indexes
    options:
        show_submodules: false
        heading_level: 3
        filters: [ "!^_(?!_init__)" ]

::: deepset_mcp.api.pipeline_template
    options:
        show_submodules: false
        heading_level: 3
        filters: [ "!^_(?!_init__)" ]

::: deepset_mcp.api.haystack_service
    options:
        show_submodules: false
        heading_level: 3
        filters: [ "!^_(?!_init__)" ]

::: deepset_mcp.api.integrations
    options:
        show_submodules: false
        heading_level: 3
        filters: [ "!^_(?!_init__)" ]

::: deepset_mcp.api.custom_components
    options:
        show_submodules: false
        heading_level: 3
        filters: [ "!^_(?!_init__)" ]

::: deepset_mcp.api.secrets
    options:
        show_submodules: false
        heading_level: 3
        filters: [ "!^_(?!_init__)" ]

::: deepset_mcp.api.workspace
    options:
        show_submodules: false
        heading_level: 3
        filters: [ "!^_(?!_init__)" ]

::: deepset_mcp.api.user
    options:
        show_submodules: false
        heading_level: 3
        filters: [ "!^_(?!_init__)" ]

## Models

::: deepset_mcp.api.shared_models
    options:
        show_submodules: false
        heading_level: 3
        filters: [ "!^_(?!_init__)" ]

::: deepset_mcp.api.pipeline.models
    options:
        show_submodules: false
        heading_level: 3
        filters: [ "!^_(?!_init__)" ]

::: deepset_mcp.api.indexes.models
    options:
        show_submodules: false
        heading_level: 3
        filters: [ "!^_(?!_init__)" ]

::: deepset_mcp.api.pipeline_template.models
    options:
        show_submodules: false
        heading_level: 3
        filters: [ "!^_(?!_init__)" ]

::: deepset_mcp.api.integrations.models
    options:
        show_submodules: false
        heading_level: 3
        filters: [ "!^_(?!_init__)" ]

::: deepset_mcp.api.custom_components.models
    options:
        show_submodules: false
        heading_level: 3
        filters: [ "!^_(?!_init__)" ]

::: deepset_mcp.api.secrets.models
    options:
        show_submodules: false
        heading_level: 3
        filters: [ "!^_(?!_init__)" ]

::: deepset_mcp.api.workspace.models
    options:
        show_submodules: false
        heading_level: 3
        filters: [ "!^_(?!_init__)" ]

## Exceptions

::: deepset_mcp.api.exceptions
    options:
        show_submodules: false
        heading_level: 3
        filters: [ "!^_(?!_init__)" ]

## Transport

::: deepset_mcp.api.transport
    options:
        show_submodules: false
        heading_level: 3
        filters: [ "!^_(?!_init__)" ]